const HTMLAsset = require('parcel-bundler/lib/assets/HTMLAsset')

function shouldIgnore (file) {
  // Ignore img(src="${...}") on pug & keep the components folder pristine
  return /\${.+}/.test(file) || /components/.test(file) || /\/lib\/solid-/.test(file) || /\/lib\/sib-/.test(file);
}

class SkipStartinbloxWidgetAsset extends HTMLAsset {
  addDependency (name, opts) {
    if (!shouldIgnore(opts.resolved)) {
      return super.addDependency(name, opts)
    }
  }

  processSingleDependency (p, opts) {
    if (shouldIgnore(p)) return p
    else return super.processSingleDependency(p, opts)
  }
}

module.exports = SkipStartinbloxWidgetAsset